Subject: bug#39402: closed (Re: [PATCH] services: xorg: Filter modules based on system)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Feb 2020 23:05:01 +0000

Your bug report

#39402: set-xorg-configuration pulls in unsupported packages on target architecture

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39402: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39402
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] services: xorg: Filter modules based on system
From: Jakub Kądziołka <[email-masked]>
To: shtwzrd <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 16 Feb 2020 00:04:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Feb 09, 2020 at 09:31:09PM +0000, shtwzrd wrote:
> @@ -356,7 +361,7 @@ in @var{config}, are available.  The result should be used in place of
>      #~(apply execl #$X #$X ;; Second #$X is for argv[0].
>               "-logverbose" "-verbose" "-terminate"
>               #$@(xorg-configuration-server-arguments config)
> -              (cdr (command-line))))
> +             (cdr (command-line))))
>  
>    (program-file "startx" exp))
>  
> @@ -477,7 +482,7 @@ desktop session from the system or user profile will be used."
>    (auto-login? slim-configuration-auto-login?
>                 (default #f))
>    (default-user slim-configuration-default-user
> -                (default ""))
> +    (default ""))
>    (theme slim-configuration-theme
>           (default %default-slim-theme))
>    (theme-name slim-configuration-theme-name
> @@ -870,10 +875,10 @@ the GNOME desktop environment.")
>                     "Enable=" (if (gdm-configuration-debug? config)
>                                   "true"
>                                   "false") "\n"
> -                   "\n"
> -                   "[security]\n"
> -                   "#DisallowTCP=true\n"
> -                   "#AllowRemoteAutoLogin=false\n"))
> +                                 "\n"
> +                                 "[security]\n"
> +                                 "#DisallowTCP=true\n"
> +                                 "#AllowRemoteAutoLogin=false\n"))
>  
>  (define (gdm-pam-service config)
>    "Return a PAM service for @command{gdm}."
Looks like you reformatted the file by accident. Apart from that, LGTM,
so pushed as 779d96c9b0ee38cbaca9f8577e6cc7f907fb29cb after removing the
formatting mishap.

Thanks for the patch!

Subject: set-xorg-configuration pulls in unsupported packages on target architecture
From: shtwzrd <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 03 Feb 2020 01:22:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Howdy :),

I've found that the `set-xorg-configuration` service ends up pulling in `xf86-video-intel` as a dependency. But `xf86-video-intel` fails to build, with:

```
checking whether to include UXA support... no
checking whether to include SNA support... auto
checking for xvmc dri2proto x11 x11-xcb xcb-dri2 xcb-aux libdrm_intel... no
checking whether to include XvMC support... no
checking which acceleration method to use by default... configure: error: UXA requested as default, but is not enabled
command "/gnu/store/iql3p5zvz0nwcsckdpywdkqxccx95ygx-bash-minimal-5.0.7/bin/bash" "./configure" "CONFIG_SHELL=/gnu/store/iql3p5zvz0nwcsckdpywdkqxccx95ygx-bash-minimal-5.0.7/bin/bash" "SHELL=/gnu/store/iql3p5zvz0nwcsckdpywdkqxccx95ygx-bash-minimal-5.0.7/bin/bash" "--prefix=/gnu/store/grlry4nmhxmb2ahlbpzdvyy33wgnh87h-xf86-video-intel-2.99.917-15.f66d395" "--enable-fast-install" "--build=aarch64-unknown-linux-gnu" "--with-default-accel=uxa" failed with status 1
```

What's more, the package definition for xf86-video-intel contains this:

```
(supported-systems
       ;; This driver is only supported on Intel systems.
       (filter (lambda (system) (or (string-prefix? "i686-" system)
                                    (string-prefix? "x86_64-" system)))
               %supported-systems))
```

So it seems like it's a bug that it currently gets included on non i686 and x86_64 targets.

Even if I supply a modules field in set-xorg-configuration where I exclude `xf86-video-intel`, guix still tries to build it.

The only reference to `xf86-video-intel` is its inclusion in %default-xorg-modules -- would making the contents of that list target-aware be a potential fix?